package de.fhhannover.inform.trust.ifmapj.exception;

import de.fhhannover.inform.trust.ifmapj.channel.ARC;
import de.fhhannover.inform.trust.ifmapj.channel.SSRC;

/**
 * This exception is only thrown by the method {@link ARC#poll()} to indicate
 * that the underlying IF-MAP session ended while a poll was in progress.
 * 
 * This can, for example, happen if a call to {@link ARC#poll()} was done, i.e.
 * a poll is pending, and on the associated {@link SSRC} {@link SSRC#newSession()}
 * or {@link SSRC#endSession()} is called.
 * 
 * @author aw
 */
public class EndSessionException extends Exception {

	/**
	 * auto-generated
	 */
	private static final long serialVersionUID = 1L;

}
