package de.fhhannover.inform.trust.ifmapj.identifier;

/**
 * This enum encapsulates all possible identity types as specified by IF-MAP.
 * 
 * @author aw
 *
 */
public enum IdentityType {
	aikName { public String toString() { return "aik-name"; } },
	distinguishedName { public String toString() { return "distinguished-name"; } },
	dnsName { public String toString() { return "dns-name"; } },
	emailAddress { public String toString() { return "email-address"; } },
	hipHit { public String toString() { return "hip-hit"; } },
	kerberosPrincipal { public String toString() { return "kerberos-principal"; } },
	userName { public String toString() { return "username"; } },
	sipUri { public String toString() { return "sip-uri"; } },
	telUri { public String toString() { return "tel-uri"; } },
	other { public String toString() { return "other"; } },
}
